Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZKeyword Class Reference

A content datatype which handles keyword index instances. More...

## Public Member Functions
| attributes ()
| hasAttribute ( $name)
| attribute ( $name)
| initializeKeyword ( $keywordString)
| store ( $attribute)
| fetch (&$attribute)
| setKeywordArray ( $keywords)
| keywordArray ()
| keywordString ()
| relatedObjects ()

## Public Attributes
| $KeywordArray = array()
| Contains the keywords. More...
| $ObjectAttributeID = false
| Contains the ID attribute if fetched. More...

## Detailed Description

A content datatype which handles keyword index instances.

Definition at line 18 of file ezkeyword.php.

## Member Function Documentation

## ◆ attribute()

eZKeyword::attribute | ( |  | $name | ) |

Definition at line 33 of file ezkeyword.php.

References $KeywordArray, keywordString(), relatedObjects(), and eZDebug\writeError().

## ◆ attributes()

eZKeyword::attributes | ( |  | ) |

Definition at line 20 of file ezkeyword.php.

Referenced by hasAttribute().

## ◆ fetch()

eZKeyword::fetch | ( | & | $attribute | ) |

Fetches the keywords for the given attribute.

Definition at line 233 of file ezkeyword.php.

References eZDB\instance().

## ◆ hasAttribute()

eZKeyword::hasAttribute | ( |  | $name | ) |

Definition at line 28 of file ezkeyword.php.

References attributes().

## ◆ initializeKeyword()

eZKeyword::initializeKeyword | ( |  | $keywordString | ) |

Initialze the keyword index

Definition at line 63 of file ezkeyword.php.

## ◆ keywordArray()

eZKeyword::keywordArray | ( |  | ) |

Returns the keyword index

Definition at line 262 of file ezkeyword.php.

References $KeywordArray.

## ◆ keywordString()

eZKeyword::keywordString | ( |  | ) |

Returns the keywords as a string

Definition at line 270 of file ezkeyword.php.

Referenced by attribute().

## ◆ relatedObjects()

eZKeyword::relatedObjects | ( |  | ) |

Returns the objects which have at least one keyword in common

Returns
  an array of eZContentObjectTreeNode instances, or null if the attribute is not stored yet

Definition at line 280 of file ezkeyword.php.

References eZContentObjectTreeNode\findMainNodeArray(), and eZDB\instance().

Referenced by attribute().

## ◆ setKeywordArray()

eZKeyword::setKeywordArray | ( |  | $keywords | ) |

Sets the keyword index

Definition at line 254 of file ezkeyword.php.

## ◆ store()

eZKeyword::store | ( |  | $attribute | ) |

Stores the keyword index to database

Definition at line 86 of file ezkeyword.php.

References eZDB\instance().

## Member Data Documentation

## ◆ $KeywordArray

eZKeyword::$KeywordArray = array()

Contains the keywords.

Definition at line 334 of file ezkeyword.php.

Referenced by attribute(), and keywordArray().

## ◆ $ObjectAttributeID

eZKeyword::$ObjectAttributeID = false

Contains the ID attribute if fetched.

Definition at line 337 of file ezkeyword.php.

The documentation for this class was generated from the following file:

- ezkeyword.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.